#include "datarole.h"

const DataRole DataRole::auxnticketsprinted(3022, "auxnticketsprinted");
const DataRole DataRole::auxptr1(1031, "auxptr1");
const DataRole DataRole::auxptr2(1032, "auxptr2");
const DataRole DataRole::cadressefac(2702, "cadressefac");
const DataRole DataRole::cadressliv(2701, "cadressliv");
const DataRole DataRole::catcliptr(3008, "catcliptr");
const DataRole DataRole::ccdatecloturer(1642, "ccdatecloturer");
const DataRole DataRole::ccdeviseinfo(1646, "ccdeviseinfo");
const DataRole DataRole::ccidcloturer(1640, "ccidcloturer");
const DataRole DataRole::ccidoperateur(1641, "ccidoperateur");
const DataRole DataRole::ccomment(2700, "ccomment");
const DataRole DataRole::ccprice(2600, "ccprice");
const DataRole DataRole::cctotalbills(1645, "cctotalbills");
const DataRole DataRole::cctotalpays(1644, "cctotalpays");
const DataRole DataRole::cctotalsales(1643, "cctotalsales");
const DataRole DataRole::cnomoperat(2704, "cnomoperat");
const DataRole DataRole::cpcatcli(5003, "cpcatcli");
const DataRole DataRole::cpcoord(5006, "cpcoord");
const DataRole DataRole::cpdateinteg(4805, "cpdateinteg");
const DataRole DataRole::cpdatepaym(4804, "cpdatepaym");
const DataRole DataRole::cpdateseanse(5000, "cpdateseanse");
const DataRole DataRole::cpiddevise(4803, "cpiddevise");
const DataRole DataRole::cpidmodepay(4800, "cpidmodepay");
const DataRole DataRole::cpidzonetar(5001, "cpidzonetar");
const DataRole DataRole::cplibelle(4801, "cplibelle");
const DataRole DataRole::cpmontant(4802, "cpmontant");
const DataRole DataRole::cpprix(5005, "cpprix");
const DataRole DataRole::cpquantite(5004, "cpquantite");
const DataRole DataRole::cprenomoperat(2705, "cprenomoperat");
const DataRole DataRole::cptcolor(2360, "cptcolor");//role en el elemento de la primera columna
const DataRole DataRole::cpzonetar(5002, "cpzonetar");
const DataRole DataRole::ctotal(2703, "ctotal");
const DataRole DataRole::ctypecivilite(2300, "ctypecivilite");
const DataRole DataRole::dataTypeID(6510, "dataTypeID");
const DataRole DataRole::database(1505, "database");
const DataRole DataRole::dcborrowed(3506, "dcborrowed");
const DataRole DataRole::dccatcli(3502, "dccatcli");
const DataRole DataRole::dccoord(3503, "dccoord");
const DataRole DataRole::dciddetails(3504, "dciddetails");
const DataRole DataRole::dclabels(3505, "dclabels");
const DataRole DataRole::dcprix(3501, "dcprix");
const DataRole DataRole::dcproducttype(3507, "dcproducttype");
const DataRole DataRole::dcquantite(3500, "dcquantite");
const DataRole DataRole::derniercloture(1605, "derniercloture");
const DataRole DataRole::dradresse1(5401, "dradresse1");
const DataRole DataRole::dradresse2(5402, "dradresse2");
const DataRole DataRole::drcodepostal(5403, "drcodepostal");
const DataRole DataRole::drdecoration(5405, "drdecoration");
const DataRole DataRole::dridpays(5406, "dridpays");
const DataRole DataRole::dridtiers(5407, "dridtiers");
const DataRole DataRole::dridville(5400, "dridville");
const DataRole DataRole::drusagehabituel(5404, "drusagehabituel");
const DataRole DataRole::eacdateintegration(1805, "eacdateintegration");
const DataRole DataRole::eacdatepayment(1804, "eacdatepayment");
const DataRole DataRole::eacdevise(1803, "eacdevise");
const DataRole DataRole::eacidpayment(1800, "eacidpayment");
const DataRole DataRole::eacidtiers(1801, "eacidtiers");
const DataRole DataRole::eacmodepay(1802, "eacmodepay");
const DataRole DataRole::eacmontant(1806, "eacmontant");
const DataRole DataRole::errmsg(1034, "errmsg");//Indica que este elemento es un "ErrorMessage", cuando este atributo está presente en un objeto json el único otro atributo que se espera es un ikey opcional.
const DataRole DataRole::fondcaisse(1600, "fondcaisse");
const DataRole DataRole::fpidetab(2451, "fpidetab");
const DataRole DataRole::fpidgri(2452, "fpidgri");
const DataRole DataRole::fpidpart(2453, "fpidpart");
const DataRole DataRole::fpidprod(2450, "fpidprod");
const DataRole DataRole::gabidp(6500, "gabidp");
const DataRole DataRole::griadmincmd(5800, "griadmincmd");
const DataRole DataRole::gtclibelle(5200, "gtclibelle");
const DataRole DataRole::gtcpriorite(5202, "gtcpriorite");
const DataRole DataRole::gtctypevaleur(5203, "gtctypevaleur");
const DataRole DataRole::gtcvaleur(5201, "gtcvaleur");
const DataRole DataRole::host(1503, "host");
const DataRole DataRole::ikey(1025, "ikey");//"ErrorMessage", "ItemId", "Item2Id", all others items that stores a key.
const DataRole DataRole::ikey2(DataRole::ikey(), "ikey2");//alias de ikey, útil cuándo se necesita devolver varios ikey en una misma función eg. gettierspayments
const DataRole DataRole::ikey3(DataRole::ikey(), "ikey3");//alias de ikey
const DataRole DataRole::indicator(1033, "indicator");
const DataRole DataRole::iuid(1027, "iuid");//item unique identifier, mainly for identify stock's item
const DataRole DataRole::jsonType(1026, "jsonType");//tipo de elemento XML, en la generación de un fichero de comandos del servidor
const DataRole DataRole::levelsitenumbitem(4004, "levelsitenumbitem");
const DataRole DataRole::mediafile(1029, "mediafile");
const DataRole DataRole::mptypepaiem(2340, "mptypepaiem");
const DataRole DataRole::msg(Qt::DisplayRole, "msg");//alias de qtdisplayrole, por cuestiones de compatibilidad con las aplicaciones/funcionalidades del control de acceso
const DataRole DataRole::newseanceprinterid(6520, "newseanceprinterid");
const DataRole DataRole::newseanceuserprofileid(6520, "newseanceuserprofileid");
const DataRole DataRole::nomsitenumbitem(4002, "nomsitenumbitem");
const DataRole DataRole::nticketsprinted(3021, "nticketsprinted");
const DataRole DataRole::operatid(1509, "operatid");
const DataRole DataRole::partneradressesrv(6006, "partneradressesrv");
const DataRole DataRole::partnerdatecreation(6008, "partnerdatecreation");
const DataRole DataRole::partnerenvoyercontactes(6005, "partnerenvoyercontactes");
const DataRole DataRole::partneridsession(6003, "partneridsession");
const DataRole DataRole::partnermdp(6002, "partnermdp");
const DataRole DataRole::partnernom(6000, "partnernom");
const DataRole DataRole::partnerportsrv(6007, "partnerportsrv");
const DataRole DataRole::partnerutilisateur(6001, "partnerutilisateur");
const DataRole DataRole::partnerventedirecte(6004, "partnerventedirecte");
const DataRole DataRole::passw(1501, "passw");
const DataRole DataRole::payorptr(3003, "payorptr");
const DataRole DataRole::pcatprodid(3801, "pcatprodid");
const DataRole DataRole::pctaux(1921, "pctaux");
const DataRole DataRole::pdescrip(3803, "pdescrip");
const DataRole DataRole::pdtbankid(4300, "pdtbankid");
const DataRole DataRole::pdtcanceled(4304, "pdtcanceled");
const DataRole DataRole::pdtdateannul(4303, "pdtdateannul");
const DataRole DataRole::pdtdateinteg(4302, "pdtdateinteg");
const DataRole DataRole::pdtexternal(4305, "pdtexternal");
const DataRole DataRole::pdtnumcheque(4301, "pdtnumcheque");
const DataRole DataRole::petat(3802, "petat");
const DataRole DataRole::placesinset(4000, "placesinset");
const DataRole DataRole::port(1504, "port");
const DataRole DataRole::printstatuscode(3020, "printstatuscode");
const DataRole DataRole::psvgid(3800, "psvgid");
const DataRole DataRole::qtdecorole(Qt::DecorationRole, "qtdecorole");
const DataRole DataRole::qtdisplayrole(Qt::DisplayRole, "qtdisplayrole");
const DataRole DataRole::qtdisplayrole2(Qt::DisplayRole, "qtdisplayrole2");//alias de qtdisplayrole
const DataRole DataRole::scorderdate(3002, "scorderdate");
const DataRole DataRole::scorderid(3001, "scorderid");
const DataRole DataRole::scvar(1025, "scvar");//"ItemId", "Item2Id"
const DataRole DataRole::seriesitenumbitem(4003, "seriesitenumbitem");
const DataRole DataRole::site2dviewptr(4500, "site2dviewptr");
const DataRole DataRole::skinapercu(5600, "skinapercu");
const DataRole DataRole::skinfname(5601, "skinfname");
const DataRole DataRole::slogin(1500, "slogin");
const DataRole DataRole::snom(1506, "snom");
const DataRole DataRole::sprenom(1507, "sprenom");
const DataRole DataRole::starttime(1508, "starttime");
const DataRole DataRole::stockitemptr(3000, "stockitemptr");
const DataRole DataRole::stoken(1510, "stoken");
const DataRole DataRole::tacadrfacturation(1704, "tacadrfacturation");
const DataRole DataRole::tacadrlivraison(1703, "tacadrlivraison");
const DataRole DataRole::tacdatecreation(1705, "tacdatecreation");
const DataRole DataRole::tacdatevalidation(1706, "tacdatevalidation");
const DataRole DataRole::tacidclient(1701, "tacidclient");
const DataRole DataRole::tacidcommande(1700, "tacidcommande");
const DataRole DataRole::tacidoperateur(1702, "tacidoperateur");
const DataRole DataRole::tactotal(1707, "tactotal");
const DataRole DataRole::tcivilite(2003, "tcivilite");
const DataRole DataRole::tcpiddevise(1620, "tcpiddevise");
const DataRole DataRole::tcpidmodepay(1621, "tcpidmodepay");
const DataRole DataRole::tcpidtiers(1900, "tcpidtiers");
const DataRole DataRole::tiersptr(3004, "tiersptr");
const DataRole DataRole::tmodifprivileges(2001, "tmodifprivileges");
const DataRole DataRole::tnom(2000, "tnom");
const DataRole DataRole::topercomment(2007, "topercomment");
const DataRole DataRole::topercomment2(2008, "topercomment2");
const DataRole DataRole::topermaker(2005, "topermaker");
const DataRole DataRole::totalbillet(1601, "totalbillet");
const DataRole DataRole::totalcommande(1602, "totalcommande");
const DataRole DataRole::totalespece(1604, "totalespece");
const DataRole DataRole::totalpaym(1603, "totalpaym");
const DataRole DataRole::tpcissubcat(2369, "tpcissubcat");//para los productos transporte, por el momento no los trataré, para simplificar (Yovanis, 30092014)
const DataRole DataRole::tprioritycomment(2006, "tprioritycomment");
const DataRole DataRole::tsex(2004, "tsex");
const DataRole DataRole::ttpgrole(2320, "ttpgrole");
const DataRole DataRole::tttiers(2002, "tttiers");
const DataRole DataRole::tweak(1028, "tweak");
const DataRole DataRole::zapdispo(2502, "zapdispo");
const DataRole DataRole::zapidgricol(2501, "zapidgricol");
const DataRole DataRole::zapquant(2500, "zapquant");
const DataRole DataRole::ztarnom(4001, "ztarnom");